---
apiVersion: operator.openshift.io/v1
kind: OpenShiftAPIServer
metadata:
  annotations:
    include.release.openshift.io/self-managed-high-availability: "true"
    release.openshift.io/create-only: "true"
  creationTimestamp: "2022-03-08T10:13:53Z"
  generation: 3
  managedFields:
  - apiVersion: operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
          f:release.openshift.io/create-only: {}
      f:spec:
        .: {}
        f:logLevel: {}
        f:managementState: {}
        f:operatorLogLevel: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:13:53Z"
  - apiVersion: operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:observedConfig:
          .: {}
          f:apiServerArguments: {}
          f:imagePolicyConfig: {}
          f:projectConfig: {}
          f:routingConfig: {}
          f:servingInfo: {}
          f:storageConfig: {}
        f:unsupportedConfigOverrides: {}
      f:status:
        .: {}
        f:conditions: {}
        f:generations: {}
        f:latestAvailableRevision: {}
        f:observedGeneration: {}
        f:readyReplicas: {}
    manager: cluster-openshift-apiserver-operator
    operation: Update
    time: "2022-03-08T11:01:09Z"
  name: cluster
  resourceVersion: "28654"
  selfLink: /apis/operator.openshift.io/v1/openshiftapiservers/cluster
  uid: 8aa7d976-57f5-4f94-bc94-547a99a09379
spec:
  logLevel: Normal
  managementState: Managed
  observedConfig:
    apiServerArguments:
      audit-policy-file:
      - /var/run/configmaps/audit/secure-oauth-storage-default.yaml
    imagePolicyConfig:
      internalRegistryHostname: image-registry.openshift-image-registry.svc:5000
    projectConfig:
      projectRequestMessage: ""
    routingConfig:
      subdomain: apps.case03116926.lab.upshift.rdu2.redhat.com
    servingInfo:
      cipherSuites:
      - TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256
      - TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
      - TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384
      - TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
      - TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256
      - TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
      minTLSVersion: VersionTLS12
    storageConfig:
      urls:
      - https://10.0.94.119:2379
      - https://10.0.94.219:2379
      - https://10.0.95.76:2379
  operatorLogLevel: Normal
  unsupportedConfigOverrides: null
status:
  conditions:
  - lastTransitionTime: "2022-03-08T10:38:51Z"
    reason: NoUnsupportedConfigOverrides
    status: "True"
    type: UnsupportedConfigOverridesUpgradeable
  - lastTransitionTime: "2022-03-08T10:43:54Z"
    status: "True"
    type: APIServicesAvailable
  - lastTransitionTime: "2022-03-08T10:38:53Z"
    status: "False"
    type: EncryptionMigrationControllerDegraded
  - lastTransitionTime: "2022-03-08T10:38:53Z"
    status: "False"
    type: EncryptionMigrationControllerProgressing
  - lastTransitionTime: "2022-03-08T10:38:53Z"
    status: "False"
    type: EncryptionKeyControllerDegraded
  - lastTransitionTime: "2022-03-08T10:38:54Z"
    status: "False"
    type: EncryptionStateControllerDegraded
  - lastTransitionTime: "2022-03-08T10:38:54Z"
    status: "False"
    type: EncryptionPruneControllerDegraded
  - lastTransitionTime: "2022-03-08T10:38:54Z"
    status: "False"
    type: ConfigObservationDegraded
  - lastTransitionTime: "2022-03-08T10:39:00Z"
    status: "False"
    type: RevisionControllerDegraded
  - lastTransitionTime: "2022-03-08T10:38:57Z"
    status: "False"
    type: ResourceSyncControllerDegraded
  - lastTransitionTime: "2022-03-08T10:38:59Z"
    reason: AsExpected
    status: "False"
    type: APIServerStaticResourcesDegraded
  - lastTransitionTime: "2022-03-08T11:01:37Z"
    reason: AsExpected
    status: "False"
    type: OperatorConfigProgressing
  - lastTransitionTime: "2022-03-08T10:41:45Z"
    reason: AsExpected
    status: "True"
    type: APIServerDeploymentAvailable
  - lastTransitionTime: "2022-03-08T11:05:47Z"
    reason: AsExpected
    status: "False"
    type: APIServerDeploymentDegraded
  - lastTransitionTime: "2022-03-08T11:01:38Z"
    reason: AsExpected
    status: "False"
    type: APIServerDeploymentProgressing
  - lastTransitionTime: "2022-03-08T10:41:19Z"
    status: "False"
    type: APIServerWorkloadDegraded
  - lastTransitionTime: "2022-03-08T10:41:44Z"
    message: Encryption is not enabled
    reason: EncryptionDisabled
    status: "False"
    type: Encrypted
  generations:
  - group: apps
    hash: ""
    lastGeneration: 2
    name: apiserver
    namespace: openshift-apiserver
    resource: deployments
  latestAvailableRevision: 2
  observedGeneration: 3
  readyReplicas: 0
